<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.tencent.liteav.demo.player">

    <application
        android:name="com.tencent.liteav.demo.superplayer.PlayerApplication"
        android:allowBackup="false"
        android:icon="@drawable/ic_launcher"
        android:label="@string/superplayer_app_name"
        android:largeHeap="true"
        android:theme="@style/AppTheme"
        tools:replace="android:allowBackup,android:label">

        <activity
            android:name=".MainActivity"
            android:exported="true"
            android:theme="@style/PlayerTheme">

            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".PlayerActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:exported="true"
            android:label="@string/superplayer_app_name"
            android:launchMode="singleTask"
            android:screenOrientation="landscape"
            android:theme="@style/PlayerTheme"
            android:windowSoftInputMode="stateHidden" />

        <activity
            android:name=".PlayerMenu"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@style/AppTheme.Dialog.Horizontal" />

        <activity
            android:name=".PlayerVerify"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@style/AppTheme.Dialog.Vertical" />

        <activity
            android:name=".menu.PlayerTimer"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@style/AppTheme.Dialog.Horizontal" />

        <activity
            android:name=".PlayerShare"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@style/AppTheme.Dialog.Horizontal" />

        <activity
            android:name=".PlayerWheel"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@style/AppTheme.Dialog.Vertical" />

        <activity
            android:name=".CastHelpActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.Light" />

        <activity
            android:name=".PlayerCast"
            android:launchMode="singleTop"
            android:screenOrientation="landscape"
            android:theme="@style/AppTheme.Dialog.Vertical" />

        <service android:name="com.android.cast.dlna.dmc.DLNACastService" />
    </application>
</manifest>